/*
 * UniqueSymbol.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef _XML_SYMBOL_ID_SYMBOL_H_
#define _XML_SYMBOL_ID_SYMBOL_H_

#include <alphabet/UniqueSymbol.h>
#include <core/xmlApi.hpp>

namespace alib {

template < >
struct xmlApi < alphabet::UniqueSymbol > {
	static alphabet::UniqueSymbol parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const alphabet::UniqueSymbol & data );
};

} /* namespace alib */

#endif /* _XML_SYMBOL_ID_SYMBOL_H_ */
