/*
 * SymbolException.h
 *
 *  Created on: Apr 13, 2016
 *      Author: Jan Trvnicek
 */

#ifndef SYMBOL_EXCEPTION_H_
#define SYMBOL_EXCEPTION_H_

#include <exception/CommonException.h>

namespace alphabet {

/**
 * Exception thrown by an tree, tree parser or tree printer.
 */
class SymbolException: public exception::CommonException {
public:
	explicit SymbolException(const std::string& cause);
};

} /* namespace alphabet */

#endif /* SYMBOL_EXCEPTION_H_ */
